import "./index.es.css"

import 'antd/es/button/style';
import _Button from 'antd/es/button';
import _ from 'lodash';
import { createElement, Component } from 'react';

var LoadingButtonLess = { "nomal-table-thead": "style_nomal-table-thead__1wxkR", "text-table-list": "style_text-table-list__3OSeB", "ant-table-thead": "style_ant-table-thead__JwbiX", "ant-table-tbody": "style_ant-table-tbody__38V2b", "item-content": "style_item-content__JCcpk", "item-title": "style_item-title__1z1Jv", "item-description": "style_item-description__1Ct1t", "operate-logo-table-list": "style_operate-logo-table-list__r9uFh", "operate": "style_operate__1_wFd", "logo-wrapper": "style_logo-wrapper__1yT9W", "logo": "style_logo__Qe1VA", "tag": "style_tag__2qXcC", "select-logo-table-list": "style_select-logo-table-list__2JBPe", "ant-table-selection-column": "style_ant-table-selection-column__xcKma", "ant-checkbox-input": "style_ant-checkbox-input__1AfBS", "ant-checkbox-inner": "style_ant-checkbox-inner__1QazT", "ant-checkbox-wrapper": "style_ant-checkbox-wrapper__3c20_", "ant-checkbox": "style_ant-checkbox__NBvVG", "ant-checkbox-checked": "style_ant-checkbox-checked__1M8GI", "ant-checkbox-indeterminate": "style_ant-checkbox-indeterminate__fa_bu", "select-text-table-list": "style_select-text-table-list__3QT4w", "select-text-title-table-list": "style_select-text-title-table-list__2Y_gQ", "select-text-titles-table-list": "style_select-text-titles-table-list__3k43W", "table-v2-normal-td-th": "style_table-v2-normal-td-th__1tifk", "table-v2": "style_table-v2__2d4YM", "failedDetailContainer": "style_failedDetailContainer__3LKAD", "detailTrigger": "style_detailTrigger__OG3Ci", "detailTriggerText": "style_detailTriggerText__3uZbm", "warningText": "style_warningText__2Yans", "errorText": "style_errorText__3YAki", "detailTriggerIcon": "style_detailTriggerIcon__2NYEx", "failedListWrapper": "style_failedListWrapper__2yvOW", "failedListTitle": "style_failedListTitle__ANr7-", "failedListContent": "style_failedListContent__2paJd", "failedListItem": "style_failedListItem__100tn", "normal-border": "style_normal-border__3SiQu", "tabs-white-background": "style_tabs-white-background__v0mZH", "table-item-name-link": "style_table-item-name-link__14hW1", "table-list-thead-th": "style_table-list-thead-th__d0oSz", "general-tag": "style_general-tag__1IoKE", "general-logo-wrapper": "style_general-logo-wrapper__2ct2u", "general-app-logo": "style_general-app-logo__3ONrf", "card-border": "style_card-border__3NdrG", "spin-loading-wrapper": "style_spin-loading-wrapper__17HPY", "text-full-width-ellipsis": "style_text-full-width-ellipsis__1fN7m", "list-title": "style_list-title__2Fmiv", "thead-font-style": "style_thead-font-style__9a_85", "thead-border-style": "style_thead-border-style__3CABd", "tbody-item-title": "style_tbody-item-title__2Bkea", "tbody-item-description": "style_tbody-item-description__29U-O", "tobdy-item-border": "style_tobdy-item-border__1zvCY", "table-checkbox-style": "style_table-checkbox-style__2xKDQ", "table-checkbox-with-primary-color": "style_table-checkbox-with-primary-color__1VGqH", "popover-custom-wrapper": "style_popover-custom-wrapper__oPPKA", "clearFloat": "style_clearFloat__20b94", "custom-modal": "style_custom-modal__ZjMxu", "shadow-border": "style_shadow-border__2IbYL", "shadow-tabs-white-background": "style_shadow-tabs-white-background__1V1Xw", "link": "style_link__1zy4a", "loadingButtonWrapper": "style_loadingButtonWrapper__2LDqc" };

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var LoadingButton = function (_React$Component) {
  inherits(LoadingButton, _React$Component);

  function LoadingButton() {
    classCallCheck(this, LoadingButton);
    return possibleConstructorReturn(this, (LoadingButton.__proto__ || Object.getPrototypeOf(LoadingButton)).apply(this, arguments));
  }

  createClass(LoadingButton, [{
    key: 'render',

    // TODO: 是否需要增加一个custom className
    value: function render() {
      var props = _.omit(this.props, ['label']);
      return createElement(
        'div',
        { className: LoadingButtonLess.loadingButtonWrapper },
        createElement(
          _Button,
          _extends({}, props, { type: this.props.type || 'primary' }),
          this.props.label
        )
      );
    }
  }]);
  return LoadingButton;
}(Component);

//      

var func = function func(arr) {
  return _.find(arr, function (l) {
    return l.name.length > 3;
  });
};

function index (list) {
  func(list);
}

var TestButtonLess = { "btnContainer": "index_btnContainer__1XwCn" };

//      

var TestButton = function (_React$Component) {
  inherits(TestButton, _React$Component);

  function TestButton() {
    classCallCheck(this, TestButton);
    return possibleConstructorReturn(this, (TestButton.__proto__ || Object.getPrototypeOf(TestButton)).apply(this, arguments));
  }

  createClass(TestButton, [{
    key: 'render',
    value: function render() {
      return createElement(
        'button',
        { className: TestButtonLess.btnContainer },
        createElement(
          'span',
          { className: 'cs-name' },
          this.props.text
        )
      );
    }
  }]);
  return TestButton;
}(Component);

export { TestButton, index as TestLodash, LoadingButton };
