// @flow

/*
* 测试用简单组件
* */
import * as React from 'react';
import TestButtonLess from './index.less';

type Props = {
  text: string
}

class TestButton extends React.Component<Props> {
  render(): React.Element<any> {
    return (
      <button className={TestButtonLess.btnContainer}>
        <span className="cs-name">{this.props.text}</span>
      </button>
    )
  }
}

export default TestButton;